Bug 154593 - CDROM boot and read fails: kernel panic
CDROM boot and read fails: kernel panic
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-12 17:19 EDT by Walt Smith
Modified: 2015-01-04 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Walt Smith 2005-04-12 17:19:12 EDT
Description of problem:

Before install, using FC3 CD to boot,
the  initial splash screen  gets to "boot:"
then some time later after entering data, --kernel panic--.

*The FC3 (after install) will always panic on any CDROM accesses.


Version-Release number of selected component (if applicable):

FC3 release   kernel 2.6.9,, 2.6.10 

How reproducible:

always


Steps to Reproduce:

before FC3 install: 
1. plug in install FC3 CD
2. get splash screen with "boot:
3. if no options, press 'enter', --kernel panic -- after timeout.
4. with options nofb, noprobe, text, askmethod
    I get initial curses screen, then --kernel panic --

after FC3 installed:
1.  put in CD
2.   try to mount
3.   kernel panic



Actual results:

after --kernel panic--:
screen shows:
registers, followed by apparently a stack,
        upper messages are cd-rom fail messages,
        lower messages are ide fail and a time out.
 
Expected results:

simply read a CD, or begin FC3 install.


Additional info:

Compaq DeskPro EP SB series 6350/6850 350 Mhz 256M
Creative 36X cdrom, 56k ISA modem, Creative SB ISA sound.
MATROX G200 on AGP, TLAN 100 on PCI.
80 gig drive on ATA Promise card as hde, no HD on ide 1,2
active part is hde3, chain to RH9 at hde5 chained to hde9.
CDROM on ide2, PCI devices on IRQ11.
bios sees ATAPI OK in any place,


failure is with the original Creative 36X CDROM, + extra Drives.
I have a duplicate box, neither CD works, also
extra older 8X and 6X CDROMS fail almost the same way.
Swapped cables, no change
Swapped cable from ide2 to ide 1 no change
RH9 on hde5 accesses 8x CDROM OK, fails on Creative 36X.

 Windows on 2nd identical box has no probs with any of the HW.

The Hard way to install FC3:
Running on RH9 (hde5) and copying RPM's to hde9, I manually un-RPM'ed
files to get a working FC3 cli, and finally a full FC3 - all by hand.
FC3 boots OK from HD, and will always -panic- on any CDROM accesses.
Unrecoverable by virt terms, clt-alt-del or any other means.

Walt Smith...
Comment 1 John DeDourek 2005-04-13 11:14:19 EDT
Sounds a lot like bug 115458.  You might confirm this by adding ide=nodma
to the grub boot line.
Comment 2 Walt Smith 2005-04-13 13:25:18 EDT
THATS IT !!!

FC3 now works with 32X creative, 8X cdroms.
I retro'd the ide=nodma to RH9, and it now works also with faster cdrom.

The diagnosis problem here is that the CD did start to boot, and
did get into the curses screen.  I'd been exposed to "nodma" for HD's
so it's familiar !

I am dismayed that the similar bug 154593, discovered in FC2 and earlier
has been marked closed.  I suppose this is because the fix is known,
rather than a "solution".

I agree it's a dup of bug 115458.

However, a solution should (if possible) be put in the installer since 
a consumer still cannot boot !! !! While the "ticket" may be "closed"
 I cannot mark this issue as "CLOSED".

John, THANKS AGAIN for your very quik and accurate reply !!
You made a happy and productive camper !

Walt  Smith
---

slightly OT, but related:

I am  dismayed regarding two menus's at install start:
During this procedure, the install menu:

1. at one point asked for a disk driver (for an ide  ???) !! 
SHADES of Windows !!!

2. wanted to see ISO images on the hard drive, rather than a dir 
with RPM files.  This is really unforgiveable.

W..............
Comment 3 Walt Smith 2005-04-14 14:50:11 EDT
After more use and experiments, and  multiple attempts
to re-install of FC3,

this problem * does NOT *  seem to be *  solved  * but reduced
in magnitude by using ide=nodma.  Perhaps invisibly for
newbies who may think they have a bad drive. It might even be 
specific to the Compaq D.P chipset. * I don't know. *

On the Compaq DeskPro, the Creative 32x CD will show several "cpio"
errors during the curses  installer startup phase. Then will
have problems with files later, rendering it pretty much
unusable.  I've decided not to use it at all.

The older Mitsui Atapi 8x drive works significantly 
better - but still has problems.  In particular,
during anaconda install, occasional message boxes indicate
corrupted files.  However, after experimentation,
careful timing "fixed", not solved, the dozen of the
"corruption" problems.  I would open the CD-door,
and then press to close, and time when to click the "OK"
button.  The file corruption indications seemed random,
but I could achieve about 90% correct re-read -the first time-  
by this careful timing.  the remainder on further retries.
I was able to complete the install. On a 350 Mhz box,
the operation under 2.6 is significantly smoother, but every
user action has a noticable small delay before action occurs.

An install solution for those with older dma problem boxes
will be to keep an older linux 2.2 or 2.4 kernel on the box
proven to work.

Use mkiofs and create a hard drive iso image using the FC3 CD set.
Later, during FC3 install, select the HD as the location
to install from.  It's most unfortunate that RPM's in a dir cannot
be acessed from the installer.

Using the Creative 32X created some most peculiar problems.
For example during anaconda install, I could not select
the "/" on the HD -  I could select the part, but other
options were grey,  and I could not proceeed further (ctl-alt-del).
(re-edit: perhaps because of SELinux ?? see below)


Also, RECOVERY of the OS is a major issue.
After installing the RPMS by hand and later trying
to reinstall manually using RH9 w/ rpm, I discovered 
SELinux may be a culprit preventing 
fixes. Indeed rpm (used from RH9 ) which had worked a couple
days earlier, failed as did chroot, most likely because I had
blindly installed SELinux.

A boot hang magically appeared during reboot, which got to
"trying to mount root" at the end of the kernel boot, 
near init start. It would hang.   period.
No amount of finageling with FC3 part after rebooting to RH9
could fix the problem: rpm attempts to reinstall
the kernel resulted in rpm pre-script error messages, and failure.
My *guess* is that an uninstall of SELInux may have fixed it.
Assuming whatever SELinux was there would have allowed it.

After specifying "save data" in anaconda 
and NOT formatting during an re-install, the very first 
two screen messages after the "mounting root" 
message location were "SELinux".

Now, I could be wrong in conclusions.
Howver, the above is how the situation appears to me.

W..............
Comment 4 Dave Jones 2005-07-15 16:10:34 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:50:06 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.